<?php
/**
 * @license MIT
 *
 * Modified by emberprice on 29-July-2026 using {@see https://github.com/BrianHenryIE/strauss}.
 */

declare(strict_types=1);

namespace EmberPrice\Vendor\ZipStream\Exception;

use EmberPrice\Vendor\ZipStream\Exception;

/**
 * This Exception gets invoked if a counter value exceeds storage size
 *
 * @api
 */
class OverflowException extends Exception
{
    /**
     * @internal
     */
    public function __construct()
    {
        parent::__construct('File size exceeds limit of 32 bit integer. Please enable "zip64" option.');
    }
}
